Bug 215951 - [maintainer] cad/openvsp: update to 3.10.0
Summary: [maintainer] cad/openvsp: update to 3.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL: http://openvsp.org/blogs/announcement...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-10 22:14 UTC by Fernando Apesteguía
Modified: 2017-01-16 13:47 UTC (History)
1 user (show)

See Also:
robak: maintainer-feedback+


Attachments
patch to the ports tree (3.35 KB, text/plain)
2017-01-10 22:14 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2017-01-10 22:14:59 UTC
Created attachment 178730 [details]
patch to the ports tree

The attached patch updates cad/openvsp to version 3.10.0.

Three new patches are added. The upstream project keeps forgetting about including the proper header files. These will be pushed upstream.

From the announcement:

Features
 - Improved tessellation clustering function
 - Tessellation spacing quality metrics
 - Option to omit blunt TE patches from STEP/IGES surface export.
 - CFDMesh faster
 - FitModel faster
 - Propeller, wing, & fuselage components faster
 - Move CFDMesh to separate thread to improve console updating

Bug Fixes
 - VSPAERO integration fixes
 - CloseTE tolerance scales with chord to fix behavior on small models.
 - Tighten degenerate curve test in tesselation and surface export.
 - Fix PrintAnalysisInputs and PrintResults API functions
 - Fix bug editing propeller spline points

-QA:
 * portlint -AC: OK
 * poudriere builds for {10.3,11.0}{amd64,i386}: OK
Comment 1 Fernando Apesteguía freebsd_committer 2017-01-11 09:48:07 UTC
Hi Barek,

Thanks for taking the time to review the patch, however I don't understand the changes to the summary and the flag. I received this note from 
Vladimir Krstulja in a previous PR (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215307)

"Thanks for the patch. When you submit such a patch, please make sure you put
the summary in "category/portname: Summary here" format, without "[maintainer]"
hacks. Flagging the attachment as maintainer-approved is sufficient.

Also, maintainer-feedback(+) flag should only be set if it was previously
reqeuested, and it wasn't."
Comment 2 commit-hook freebsd_committer 2017-01-11 14:09:20 UTC
A commit references this bug:

Author: robak
Date: Wed Jan 11 14:08:56 UTC 2017
New revision: 431182
URL: https://svnweb.freebsd.org/changeset/ports/431182

Log:
  cad/openvsp: update 3.9.1 -> 3.10.0

  PR:		215951
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)
  MFH:		2017Q1

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
  head/cad/openvsp/files/patch-Libraries_cmake_External__CMinpack.cmake
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Scene.cpp
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Shader.cpp
  head/cad/openvsp/files/patch-src_vsp__graphic_src_VBO.cpp
Comment 3 Bartek Rutkowski freebsd_committer 2017-01-11 14:10:22 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2017-01-16 13:47:45 UTC
A commit references this bug:

Author: robak
Date: Mon Jan 16 13:47:33 UTC 2017
New revision: 431646
URL: https://svnweb.freebsd.org/changeset/ports/431646

Log:
  MFH: r431182

  cad/openvsp: update 3.9.1 -> 3.10.0

  PR:		215951
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

  Approved by:	ports-secteam

Changes:
_U  branches/2017Q1/
  branches/2017Q1/cad/openvsp/Makefile
  branches/2017Q1/cad/openvsp/distinfo
  branches/2017Q1/cad/openvsp/files/patch-Libraries_cmake_External__CMinpack.cmake
  branches/2017Q1/cad/openvsp/files/patch-src_vsp__graphic_src_Scene.cpp
  branches/2017Q1/cad/openvsp/files/patch-src_vsp__graphic_src_Shader.cpp
  branches/2017Q1/cad/openvsp/files/patch-src_vsp__graphic_src_VBO.cpp